org.apache.ignite.internal.processors.continuous

## Enum GridContinuousHandler.RegisterStatus

- java.lang.Object
- - java.lang.Enum<GridContinuousHandler.RegisterStatus>
  - - org.apache.ignite.internal.processors.continuous.GridContinuousHandler.RegisterStatus

All Implemented Interfaces:
  Serializable, Comparable<GridContinuousHandler.RegisterStatus>

Enclosing interface:
  GridContinuousHandler

    public static enum GridContinuousHandler.RegisterStatus
    extends Enum<GridContinuousHandler.RegisterStatus>

Listener registration status.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELAYED`
`NOT_REGISTERED`
`REGISTERED`

### Method Summary

Methods
`static GridContinuousHandler.RegisterStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridContinuousHandler.RegisterStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REGISTERED

    public static final GridContinuousHandler.RegisterStatus REGISTERED

#### NOT_REGISTERED

    public static final GridContinuousHandler.RegisterStatus NOT_REGISTERED

#### DELAYED

    public static final GridContinuousHandler.RegisterStatus DELAYED

### Method Detail

#### values

    public static GridContinuousHandler.RegisterStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridContinuousHandler.RegisterStatus c : GridContinuousHandler.RegisterStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridContinuousHandler.RegisterStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015